Subject: [os2genau_digest] No. 950
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 4 Oct 2004 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 03 October 2004
 Number  950
**************************************************

Subjects for today
 
1   hi speed USB ? : Voytek Eymont <voytek at sbt dot net dot au>
2  Re:  hi speed USB ? : Paul Smedley <paul at smedley.info>

**= Email   1 ==========================**

Date:  Sun, 3 Oct 2004 23:13:06
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:   hi speed USB ?

now that I mastered the USB drivers (in my own mind, that is):

do these support USB2 hi speed ?

I've installed a 'Shintaro PCI USB' card with via chipset;

the docs say:
ehci based 480Mb/sec USB2HS;
OHCI based full speed 12Mb/sec and low speed 1.5

OS/2 identifies it as:

0[roman][E:\]hcimonit
You have 3 PCI USB UHCI host controller(s)
You have 1 PCI USB EHCI host controller(s)

(originally I had 1 PCI USB UHCI, so, I now gained 2 UHCI and 1 EHCI )

my drivers are:

BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBD.SYS /REQ:USBUHCD$,USBOHCD$,USBEHCD$
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:5 /V
DEVICE=F:\UTE\SYS\usbresmg.sys

the USB RAM and car reader works in either m/b USB, or, PCI USB

I've XCOPIED 280MB through old' USB in 6 minutes;
XCOPYing same through 'new' USB still takes 6 minutes

Voytek
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 03 Oct 2004 22:46:24 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  hi speed USB ?

Hi Voytek,

Voytek Eymont wrote:
> now that I mastered the USB drivers (in my own mind, that is):
> 
> do these support USB2 hi speed ?
> 
> I've installed a 'Shintaro PCI USB' card with via chipset;
> 
> the docs say:
> ehci based 480Mb/sec USB2HS;
> OHCI based full speed 12Mb/sec and low speed 1.5
> 
> OS/2 identifies it as:
> 
> 0[roman][E:\]hcimonit
> You have 3 PCI USB UHCI host controller(s)
> You have 1 PCI USB EHCI host controller(s)
> 
> (originally I had 1 PCI USB UHCI, so, I now gained 2 UHCI and 1 EHCI )
> 
> my drivers are:
> 
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBD.SYS /REQ:USBUHCD$,USBOHCD$,USBEHCD$
> BASEDEV=USBHID.SYS
> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:5 /V
> DEVICE=F:\UTE\SYS\usbresmg.sys
> 
> the USB RAM and car reader works in either m/b USB, or, PCI USB
> 
> I've XCOPIED 280MB through old' USB in 6 minutes;
> XCOPYing same through 'new' USB still takes 6 minutes

You also need a BASEDEV=USBEHCD.SYS in your config.sys for the USB 2.0 
controller... from the above looks like you're still running off the USB 
1.1 controller..

Cheers,

Paul.
----------------------------------------------------------------------------------